#pragma once
#include "aplCertificateDlg.h"

// CCertOwnerCratorDlg dialog

class CaplCertificateDlg;
class CCertOwnerCratorDlg : public CaplTranslateDialog
{
	DECLARE_DYNAMIC(CCertOwnerCratorDlg)

public:
	CCertOwnerCratorDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CCertOwnerCratorDlg();

// Dialog Data
	enum { IDD = IDD_CERT_WONER_CREATOR };

	CSortListCtrl m_owner_list;
	CSortListCtrl m_creator_list;

	CaplCertificateDlg *m_pParent;

	// заполняем группу "Владелец"
	bool FillGrpOwner();

	// заполняем группу "Издатель"
	bool FillGrpCreator();

	// инициализация списков
	bool InitLists();

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual void OnOK();

	DECLARE_MESSAGE_MAP()
};
